TIOCSSOFTCAR(2const)

NAME
TIOCGSOFTCAR, TIOCSSOFTCAR - marking a line as local

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <asm/termbits.h>  /* Definition of TIOC*SOFTCAR constants */
#include <sys/ioctl.h>

int ioctl(int fd, TIOCGSOFTCAR, int *argp);
int ioctl(int fd, TIOCSSOFTCAR, const int *argp);

DESCRIPTION

TIOCGSOFTCAR
    ("Get software carrier flag") Get the status of the CLOCAL flag in the c_cflag field of the termios structure.

TIOCSSOFTCAR
    ("Set software carrier flag") Set the CLOCAL flag in the termios structure when *argp is nonzero, and clear it otherwise.

If the CLOCAL flag for a line is off, the hardware carrier detect (DCD) signal is significant, and an open(2) of the corresponding terminal will block until DCD is asserted, unless the O_NONBLOCK flag is given. If CLOCAL is set, the line behaves as if DCD is always asserted. The software carrier flag is usually turned on for local devices, and is off for lines with modems.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

SEE ALSO
ioctl(2), ioctl_tty(2)